Get all customer documents

This request retrieves information for all customer documents within your account.

   Click here to learn more about this request

Customer documents are stored within LoanPro's Document Manager and are often used to keep copies of a borrower's loan agreement, identification information, and more. Note the following when using this request:

Customer documents differ from loan documents, but the two differ only in the entity with which they are associated. Thus, the two types of documents use different endpoints.

This request does not allow you to view or download documents. This request instead retrieves document information, such as file names, document IDs, upload IP addresses, and more. To download a document, use the GET Download customer document request.

Pagination can be used with this endpoint to filter the results. A document's ID in the endpoint to pull a specific document.

For an example of how customer documents work within the UI, take a look at our Customer Details article.

Database

For information regarding customer and document database tables, see the following articles:

Database – Customer Document Entity (customer_document_entity)

Database – Document Section Entity (doc_section_entity)

Database – Customer Main Table (customer_entity)

Query Params
int32

This value determines which result you want the list in the response to start with.
> This index begins at 0.

string

This sorts the results based on the specified variable.
> For example, $orderby=id asc sorts the results by their ID in the software in ascending order.

string

This filters results by a specified field.
> For example, $filter=userName eq 'John' pulls customer documents uploaded by a user named John.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json